multimedia/mkvtoolnix - The NetBSD Packages Collection

Set of tools to create, alter and inspect Matroska files

MKVtoolnix is a set of tools to create, alter and inspect Matroska files.

With these tools one can get information about (mkvinfo) Matroska files,
extract tracks/data from (mkvextract) Matroska files and create (mkvmerge)
Matroska files from other media files.

Build dependencies

textproc/docbook-xsl textproc/po4a lang/ruby26-base devel/boost-headers lang/gcc8 pkgtools/cwrappers lang/gcc8 devel/gmake devel/pkgconf

Runtime dependencies

archivers/lzo audio/flac multimedia/libogg audio/libvorbis devel/boost-libs devel/libebml devel/libebml devel/pcre2 multimedia/libmatroska multimedia/libmatroska textproc/cmark textproc/fmtlib textproc/pugixml audio/flac multimedia/libogg audio/libvorbis devel/libebml devel/pcre2 multimedia/libmatroska

Binary packages

OSArchitectureVersion
NetBSD 9.0aarch64mkvtoolnix-55.0.0.tgz
NetBSD 9.0aarch64mkvtoolnix-50.0.0.tgz
NetBSD 9.0aarch64mkvtoolnix-51.0.0nb1.tgz
NetBSD 9.0earmv6hfmkvtoolnix-50.0.0.tgz
NetBSD 9.0earmv6hfmkvtoolnix-51.0.0nb1.tgz
NetBSD 9.0earmv6hfmkvtoolnix-51.0.0nb1.tgz
NetBSD 9.0earmv7hfmkvtoolnix-50.0.0.tgz
NetBSD 9.0earmv7hfmkvtoolnix-51.0.0nb1.tgz
NetBSD 9.0earmv7hfmkvtoolnix-51.0.0nb1.tgz
NetBSD 9.0i386mkvtoolnix-50.0.0.tgz
NetBSD 9.0i386mkvtoolnix-51.0.0nb1.tgz
NetBSD 9.0i386mkvtoolnix-55.0.0.tgz
NetBSD 9.0powerpcmkvtoolnix-51.0.0nb1.tgz
NetBSD 9.0powerpcmkvtoolnix-50.0.0.tgz
NetBSD 9.0powerpcmkvtoolnix-55.0.0.tgz
NetBSD 9.0powerpcmkvtoolnix-55.0.0.tgz
NetBSD 9.0x86_64mkvtoolnix-51.0.0nb1.tgz
NetBSD 9.0x86_64mkvtoolnix-51.0.0nb3.tgz
NetBSD 9.0x86_64mkvtoolnix-53.0.0.tgz
NetBSD 9.0x86_64mkvtoolnix-55.0.0.tgz
NetBSD 9.0x86_64mkvtoolnix-50.0.0.tgz
NetBSD 9.0x86_64mkvtoolnix-51.0.0nb1.tgz
NetBSD 9.0x86_64mkvtoolnix-55.0.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

qt5
Enable support for QT5.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.